<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('vehicules', function (Blueprint $table) {
            $table->id();
            $table->string('name', 255); // VARCHAR(255)
            $table->string('luggage', 10);
            $table->unsignedTinyInteger('number_of_seats');
            $table->boolean('air_conditioning')->default(false);
            $table->unsignedInteger('price_economy'); // Prix en FCFA
            $table->unsignedInteger('price_business');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vehicules');
    }
};
